"""==================================================================
با نگرش به اینکه ماتریس ترانهاده یک ماتریس با جابجا نمودن عنصر واقع
در سطر iام و ستون jام با عنصر واقع در سطر jام و ستون iام آن ماتریس ساخته
می شود، منطق برنامه‌ای را طراحی کنید که ماتریس ترانهاده یک ماتریس ۸*۸
به نام T را که قبلاً ذخیره گرده است را بسازد
=================================================================="""

#      Make Matrix A
#--------------------------------
A = [
    [1,1,1],
    [0,1,1],
    [0,0,1]
]

print("="*30)

#          Make T
#----------------------------------
for i in range(len(A)):
    for j in range(len(A[i])):
        t = A[i][j]
        A[i][j] = A[j][i]
        A[j][i] = t
    print()

for i in A:
    print(i)


